| Home | Libraries | People | FAQ | More

#### cross_product

Computes the cross product of two vectors.

###### Description

All vectors should have the same dimension, 3 or 2.

###### Synopsis

    template<typename ResultP, typename P1, typename P2, std::enable_if_t< dimension< ResultP >::value !=3||! traits::make< ResultP >::is_specialized, int >>
    ResultP cross_product(P1 const & p1, P2 const & p2)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
ResultP |  | - | Must be specified
std::enable_if_t< dimension< ResultP >::value !=3||! traits::make< ResultP >::is_specialized, int > |  | - | Must be specified
P1 const & |  | p1 | first vector
P2 const & |  | p2 | second vector

###### Returns

the cross product vector

###### Header

`#include <boost/geometry/arithmetic/cross_product.hpp>`